# Project Manager
#### CODY ANDERSON, QUINTON LIANG, AARON PARKER


Portfolio Manager was designed to be a central location for users to track their stock positions. Allows users to enter their stock purchases and sales, which will be reflected in our portfolio, showing stock specific and overall gains and losses. Leverages Yahoo Finance API to produce real-time stock details. Ensured application security by leveraging JSON Web Tokens and partial integration of Spring Security.

> ### Create your profile
> * **Sign Up** - create an account one portfolio manager!
> * **Log In** - Log in to an existing account
> * **DELETE** - delete your account if you no longer have need of it

> ### Transactions
> * **CREATE** - build your portfolio buy creating transactions
> * **BUY/SELL** - indicate whether transaction was a buy or sell
> * **WHAT-IF** - mitigate some risk by using a virtual portfolio

## How to use
### Create an account
Enter your information on the register page to create an account

### Add transactions
Enter the stock, number of shares, price you paid(or would have liked to have paid), and a note if you'd like

### View your portfolio
Each time you buy or sell a stock, you are directed to your portfolio which will include your recent transaction



## To-Do

The following things would have been nice to add, given time:
* multiple portfolios for users
* ability to share portfolios
* like/comment/approve or similar interaction with other user’s portfolios
* pie chart for user’s portfolio
* graph of stocks activity over amount of time
* darkmode
* search algorithm for stock tickers
* add functionality for cryptocurrencies
* verify new user email with verification email
* finance news / top movers at home page
* notifications for significant price changes


